#ifndef GEOMETRY_SPLINE_HPP
#define GEOMETRY_SPLINE_HPP

#include "geometry.hpp"

class GeometrySpline:public Geometry{
public:
  size_t nX_max;
  double factor;
  static constexpr size_t const nmax_Qt=400;
  GeometrySpline();
  ~GeometrySpline();
  void initDefault(Geometry* ge);
  void update(double _lX,size_t _nX,double _depth,size_t _nZ_max,Spline& hbot,Spline& hsoil);
};

inline
GeometrySpline::GeometrySpline():Geometry(){

}


#endif
